--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: for PRIVMSGs, true if the message was a CTCP ACTION (CTCP stuff will be stripped from the message)
  name: action
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: channel the message was in, nil for privately addressed messages
  name: channel
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: for PRIVMSGs, false unless the message was a CTCP command, in which case it evaluates to the CTCP command itself (TIME, PING, VERSION, etc). The CTCP command parameters are then stored in the message.
  name: ctcp
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: for plugin messages, the rest of the message, with the plugin name removed
  name: params
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: for plugin messages, the name of the plugin invoked by the message
  name: plugin
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: convenience member. Who to reply to (i.e. would be sourcenick for a privately addressed message, or target (the channel) for a publicly addressed message
  name: replyto
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "class for handling IRC user messages. Includes some utilities for handling the message, for example in plugins. The <tt>message</tt> member will have any bot addressing &quot;^bot: &quot; removed (address? will return true in this case)"
constants: []

full_name: Irc::UserMessage
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: act
- !ruby/object:RI::MethodSummary 
  name: action?
- !ruby/object:RI::MethodSummary 
  name: ctcp_reply
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: nickokay
- !ruby/object:RI::MethodSummary 
  name: nickreply
- !ruby/object:RI::MethodSummary 
  name: notify
- !ruby/object:RI::MethodSummary 
  name: okay
- !ruby/object:RI::MethodSummary 
  name: plainokay
- !ruby/object:RI::MethodSummary 
  name: plainreply
- !ruby/object:RI::MethodSummary 
  name: private?
- !ruby/object:RI::MethodSummary 
  name: public?
- !ruby/object:RI::MethodSummary 
  name: reply
name: UserMessage
superclass: BasicUserMessage
